<div class="row">
	<div class="col-12">
		<table class="table monotable" id="fileareas">
			<thead>
			<tr>
				<th>Subscribed</th>
				<th>Filearea</th>
				<th>Description</th>
			</tr>
			</thead>

			<tbody>
			@foreach ($fileareas as $oo)
				<tr>
					<td><input type="checkbox" name="id[]" value="{{ $oo->id }}" @if($ao->fileareas->search(function($item) use ($oo) { return $item->id == $oo->id; }) !== FALSE)checked @endif></td>
					<td>{{ $oo->name }}</td>
					<td>{{ $oo->description }}</td>
				</tr>
			@endforeach
			</tbody>
		</table>
	</div>
</div>

<div class="row">
	<div class="col-2">
		<a href="{{ url('ftn/system') }}" class="btn btn-danger">Cancel</a>
	</div>

	<span class="col-6 mt-auto mx-auto text-center align-bottom">
		@if($errors->count())
			<span class="btn btn-sm btn-danger" role="alert">
				There were errors with the submission.
				@dump($errors)
			</span>
		@endif
	</span>

	@can('admin',$o)
		<div class="col-2">
			<button type="submit" name="submit" class="btn btn-success float-end">Add</button>
		</div>
	@endcan
</div>