<!-- $o = System::class -->
<h3>System Details:</h3>
<table class="monotable">
	<tr>
		<th>System</th>
		<th>{{ $o->name }}</th>
	</tr>
	<tr>
		<th>Sysop</th>
		<th>{{ $o->sysop }}</th>
	</tr>
	<tr>
		<th>Location</th>
		<th>{{ $o->location }}</th>
	</tr>
	<tr>
		<th>Networks</th>
		<th>{{ $o->addresses->pluck('ftn')->join(', ') }}</th>
	</tr>
	<tr>
		<th>Address</th>
		<th>{{ $o->access_mailer }}</th>
	</tr>
</table>

<p>If the details are above are not correct, then please contact the (ZC) to have them corrected first.</p>

<p>Otherwise, if all is good, we'll send a netmail to <strong class="highlight">{{ $o->sysop }}</strong> at <strong class="highlight">{{ $o->access_mailer }}</strong></p> with further details.

<form class="row g-0 needs-validation" method="post" autocomplete="off" action="{{ url('user/system/link') }}" novalidate>
	@csrf

	<input type="hidden" name="system_id" value="{{ $o->id }}">
	<input type="hidden" name="name" value="{{ $o->name }}">

	<div class="row">
		<div class="col-12 pb-2">
			<input type="submit" name="action" class="btn btn-success" value="Link">
		</div>
	</div>
</form>