<div class="row">
	<div class="col-4">
		TO: <strong class="highlight">{!! \App\Classes\FTN\Message::tr($msg->to) !!}</strong>
	</div>
	<div class="col-4">
		DATE: <strong class="highlight">{{ $msg->datetime->format('Y-m-d H:i:s') }}</strong>
	</div>
</div>

<div class="row pt-1">
	<div class="col-4">
		FROM: <strong class="highlight">{!! \App\Classes\FTN\Message::tr($msg->from) !!}</strong> (<strong class="highlight">{{ $msg->fftn->ftn }}</strong>)
	</div>
	<div class="col-4">
		MSGID: <strong class="highlight">{{ $msg->msgid }}</strong>@if($x=\App\Models\Echomail::where('replyid',$msg->msgid)->count()) (<strong class="highlight">{{$x}}</strong> replies)@endif @if($msg->replyid)<br>REPLY: <strong class="highlight">{{ $msg->replyid }}</strong>@endif
	</div>
</div>

<div class="row pt-1 pb-2">
	<div class="col-4">
		SUBJECT: <strong class="highlight">{!! \App\Classes\FTN\Message::tr($msg->subject) !!}</strong>
	</div>
	@if ($msg instanceof \App\Models\Echomail)
		<div class="col-4">
			ECHOAREA: <strong class="highlight">{{ $msg->echoarea->name }}</strong> (<strong class="highlight">{{ $msg->echoarea->domain->name }}</strong>)
		</div>
	@endif
</div>

<div class="row pb-2">
	<div class="col-8">
		<div class="pad pb-0">
			<pre class="highlight">{!! \App\Classes\FTN\Message::tr($msg->msg).($msg->origin ? sprintf("\r * Origin: %s",$msg->origin) : '') !!}</pre>
		</div>
	</div>
</div>

<div class="row pb-2">
	<div class="col-8">
		SEENBY: <br><strong class="highlight">{!! optimize_path($msg->seenby->pluck('ftn2d'))->join('</strong>, <strong class="highlight">') !!}</strong>
	</div>
</div>

<div class="row pb-2">
	<div class="col-8">
		PATH: <br><strong class="highlight">{!! optimize_path($msg->pathorder())->join('</strong> -> <strong class="highlight">') !!}</strong>
	</div>
</div>