<?php

namespace App\Classes\Fonts;

use App\Classes\Font;

final class Thin extends Font
{
	protected const FONT = [
		'a' =>	[
					[0xda,0xc4,0xbf],
					[0xda,0xc4,0xb3],
					[0xc0,0xc4,0xd9],
				],
		'b' =>	[
					[0xc3,0xc4,0xbf],
					[0xb3,0x20,0xb3],
					[0xc0,0xc4,0xd9],
				],
		'c' =>	[
					[0xda,0xc4,0xbf],
					[0xb3,0x20,0x20],
					[0xc0,0xc4,0xd9],
				],
		'd' =>	[
					[0xda,0xc4,0xb4],
					[0xb3,0x20,0xb3],
					[0xc0,0xc4,0xd9],
				],
		'e' =>	[
					[0xda,0xc4,0xbf],
					[0xb3,0xc4,0xd9],
					[0xc0,0xc4,0xd9],
				],
		'f' =>	[
					[0xda,0xc4,0xbf],
					[0xb3,0xc4,0x20],
					[0xc0,0x20,0x20],
				],
		'g' =>	[
					[0xda,0xc4,0xbf],
					[0xc0,0xc4,0xb3],
					[0xc0,0xc4,0xd9],
				],
		'h' =>	[
					[0xc2,0x20,0x20],
					[0xc3,0xc4,0xbf],
					[0xc1,0x20,0xc1],
				],
		'i' =>	[
					[0xfe],
					[0xc2],
					[0xc1],
				],
		'j' =>	[
					[0x20,0x20,0xc2],
					[0x20,0x20,0xb3],
					[0xc0,0xc4,0xd9],
				],
		'k' =>	[
					[0xc2,0x20,0xc2],
					[0xb3,0x2f,0xbf],
					[0xc1,0x20,0xc1],
				],
		'l' =>	[
					[0xc2,0x20,0x20],
					[0xb3,0x20,0x20],
					[0xc0,0xc4,0xd9],
				],
		'm' =>	[
					[0xda,0xc4,0xc2,0xbf],
					[0xb3,0x20,0xb3,0xb3],
					[0xc1,0x20,0x20,0xc1],
				],
		'n' =>	[
					[0xda,0xc4,0xbf],
					[0xb3,0x20,0xb3],
					[0xc1,0x20,0xc1],
				],
		'o' =>	[
					[0xda,0xc4,0xbf],
					[0xb3,0x20,0xb3],
					[0xc0,0xc4,0xd9],
				],
		'p' =>	[
					[0xda,0xc4,0xbf],
					[0xb3,0x20,0xb3],
					[0xc3,0xc4,0xd9],
				],
		'q' =>	[
					[0xda,0xc4,0xbf],
					[0xb3,0x20,0xb3],
					[0xc0,0xc4,0xb4],
				],
		'r' =>	[
					[0xda,0xc4,0xbf],
					[0xb3,0x20,0x20],
					[0xc1,0x20,0x20],
				],
		's' =>	[
					[0xda,0xc4,0xbf],
					[0xc0,0xc4,0xbf],
					[0xc0,0xc4,0xd9],
				],
		/*
		't' =>	[
					[0xc2,0x20,0x20],
					[0xc5,0xc4,0x20],
					[0xc1,0xc4,0xd9],
				],
		*/
		't' =>	[
					[0xda,0xc2,0xbf],
					[0x20,0xb3,0x20],
					[0x20,0xc1,0x20],
		],
		'u' =>	[
					[0xda,0x20,0xbf],
					[0xb3,0x20,0xb3],
					[0xc0,0xc4,0xd9],
				],
		'v' =>	[
					[0xda,0x20,0xbf],
					[0xb3,0x20,0xb3],
					[0x20,0x56,0x20],
				],
		'w' =>	[
					[0xda,0x20,0x20,0xbf],
					[0xb3,0xb3,0x20,0xb3],
					[0xc0,0xc1,0xc4,0xd9],
				],
		'x' =>	[
					[0xda,0x20,0xbf],
					[0x20,0x58,0x20],
					[0xc0,0x20,0xd9],
				],
		'y' =>	[
					[0xda,0x20,0xbf],
					[0xc0,0xc4,0xb4],
					[0xc0,0xc4,0xd9],
				],
		'z' =>	[
					[0xda,0xc4,0xbf],
					[0xda,0x2f,0xd9],
					[0xc0,0xc4,0xd9],
				],
		'1' => [
					[0xda,0xbf,0x20],
					[0x20,0xb3,0x20],
					[0xc4,0xc1,0xc4],
				],
		'2' => [
					[0xda,0xc4,0xbf],
					[0xda,0xc4,0xd9],
					[0xc0,0xc4,0xd9],
				],
		'3' => [
					[0xda,0xc4,0xbf],
					[0x20,0xc4,0xb4],
					[0xc0,0xc4,0xd9],
				],
		'4' => [
					[0xda,0x20,0xbf],
					[0xc0,0xc4,0xb4],
					[0x20,0x20,0xd9],
				],
		'5' => [
					[0xda,0xc4,0xbf],
					[0xc0,0xc4,0xbf],
					[0xc0,0xc4,0xd9],
				],
		'6' => [
					[0xda,0xc4,0xbf],
					[0xc3,0xc4,0xbf],
					[0xc0,0xc4,0xd9],
				],
		'7' => [
					[0xda,0xc4,0xbf],
					[0x20,0xda,0xd9],
					[0x20,0xc1,0x20],
				],
		'8' => [
					[0xda,0xc4,0xbf],
					[0xc3,0xc4,0xb4],
					[0xc0,0xc4,0xd9],
				],
		'9' => [
					[0xda,0xc4,0xbf],
					[0xc0,0xc4,0xb4],
					[0x20,0x20,0xd9],
				],
		'0' => [
					[0xda,0xc4,0xbf],
					[0xb3,0x2f,0xb3],
					[0xc0,0xc4,0xd9],
				],
		'#' => [
					[0x5f,0x7c,0x7c,0x5f],
					[0xc4,0xb3,0xb3,0xc4],
					[0x20,0x20,0x20,0x20],
				],
		'!' => [
					[0xb3],
					[0xb3],
					[0xfe],
				],
	];
}