<div id="sidebar-scroller">
	FTN Networks

	<dl>
		<dt>Expore Networks</dt>
		@foreach (\App\Models\Domain::select(['id','name'])
			->when(((! $user) || (! $user->isAdmin())),function($query) { return $query->public()->active(); })
			->orderBy('name')->get() as $o)
			@if ($o->managed())
				<dd><a href="{{ url('network',['id'=>$o->id]) }}" title="{{ $o->description }}">{{ $o->name }}</a></dd>
			@endif
		@endforeach
	</dl>

	@auth
		@if ($user->isZC())
			<dl>
				<dt>Network Admin</dt>
				<dd><a href="{{ url('ftn/domain') }}">Domains</a></dd>
				<dd><a href="{{ url('ftn/system') }}">Systems</a></dd>
				<dd><a href="{{ url('ftn/zone') }}">Zones</a></dd>
				<dd><a href="{{ url('ftn/echoarea') }}">Echoareas</a></dd>
				<dd><a href="{{ url('ftn/filearea') }}">Fileareas</a></dd>
			</dl>

			<dl>
				<dt>System Admin</dt>
				<dd><a href="{{ url('ftn/our_systems') }}">This Host Systems</a></dd>
			</dl>
		@endif

		@can('admin')
			<dl>
				<dt>Users</dt>
				<dd><a href="{{ url('user/addedit') }}">Create</a></dd>
				<dd><a href="{{ url('user/list') }}">List</a></dd>
			</dl>
		@endcan
	@endauth

	<dl>
		<dt>Debug</dt>
		<dd><a href="{{ url('pkt') }}">Verify Packet</a></dd>
	</dl>
</div>